Subject: Tiller recommendations wanted

From: [email-masked]
Date: 9 Mar 95 17:34:43 CDT

I would like some feedback on different company/models of rototillers.  
I am considering purchasing a tiller this year and was wondering if anyone
could recommend or not recommend certain models.  I have info on Troy-Bilts
but they are out of my price range.  I would like some info on others like
Sears, MTD, Weed Eater, etc.

Thanks

John Kuhn